Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2843693003: Move methods from FrameViewBase to FrameView. (Closed)

Created:
2 years, 4 months ago by joelhockey
Modified:
2 years, 4 months ago
Reviewers:
haraken, szager1, dcheng
CC:
blink-reviews, blink-reviews-frames_chromium.org, chromium-reviews, kinuko+watch
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Move methods from FrameViewBase to FrameView. Remove FrameViewBase.cpp file. This CL is in preparation to move core/paint/ScrollbarManager to platform/scroll and use it as replacement for FrameViewBase. BUG=637460 Review-Url: https://codereview.chromium.org/2843693003 Cr-Commit-Position: refs/heads/master@{#467303} Committed: https://chromium.googlesource.com/chromium/src/+/e9592f40c7a6e6959be58a19af9f1483c148ed3b

Patch Set 1 #

Patch Set 2 : revert inadvertent Scrollbar changes #

Patch Set 3 : more scrollbar revert #

Total comments: 7

Patch Set 4 : address comments #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+166 lines, -233 lines) Patch
M third_party/WebKit/Source/core/frame/FrameView.h View 1 2 3 6 chunks +31 lines, -7 lines 0 comments Download
M third_party/WebKit/Source/core/frame/FrameView.cpp View 1 2 3 15 chunks +43 lines, -31 lines 2 comments Download
M third_party/WebKit/Source/core/frame/RemoteFrameView.h View 5 chunks +11 lines, -5 lines 0 comments Download
M third_party/WebKit/Source/core/frame/RemoteFrameView.cpp View 6 chunks +25 lines, -23 lines 0 comments Download
M third_party/WebKit/Source/platform/BUILD.gn View 1 2 3 1 chunk +0 lines, -1 line 0 comments Download
M third_party/WebKit/Source/platform/FrameViewBase.h View 1 2 chunks +54 lines, -63 lines 0 comments Download
D third_party/WebKit/Source/platform/FrameViewBase.cpp View 1 chunk +0 lines, -101 lines 0 comments Download
M third_party/WebKit/Source/web/WebInputEventConversion.cpp View 2 chunks +2 lines, -2 lines 0 comments Download

Messages

Total messages: 27 (10 generated)
joelhockey
2 years, 4 months ago (2017-04-25 21:02:36 UTC) #5
dcheng
https://codereview.chromium.org/2843693003/diff/40001/third_party/WebKit/Source/core/frame/RemoteFrameView.h File third_party/WebKit/Source/core/frame/RemoteFrameView.h (right): https://codereview.chromium.org/2843693003/diff/40001/third_party/WebKit/Source/core/frame/RemoteFrameView.h#newcode65 third_party/WebKit/Source/core/frame/RemoteFrameView.h:65: Member<FrameView> parent_; Are we going to have some way ...
2 years, 4 months ago (2017-04-25 23:38:51 UTC) #8
joelhockey
On 2017/04/25 at 23:38:51, dcheng wrote: > https://codereview.chromium.org/2843693003/diff/40001/third_party/WebKit/Source/core/frame/RemoteFrameView.h > File third_party/WebKit/Source/core/frame/RemoteFrameView.h (right): > > https://codereview.chromium.org/2843693003/diff/40001/third_party/WebKit/Source/core/frame/RemoteFrameView.h#newcode65 ...
2 years, 4 months ago (2017-04-26 00:11:25 UTC) #9
joelhockey
On 2017/04/26 at 00:11:25, joelhockey wrote: > On 2017/04/25 at 23:38:51, dcheng wrote: > > ...
2 years, 4 months ago (2017-04-26 00:15:59 UTC) #10
haraken
On 2017/04/26 00:15:59, joelhockey wrote: > On 2017/04/26 at 00:11:25, joelhockey wrote: > > On ...
2 years, 4 months ago (2017-04-26 06:01:42 UTC) #11
joelhockey
On 2017/04/26 at 06:01:42, haraken wrote: > On 2017/04/26 00:15:59, joelhockey wrote: > > On ...
2 years, 4 months ago (2017-04-26 06:16:57 UTC) #12
haraken
On 2017/04/26 06:16:57, joelhockey wrote: > On 2017/04/26 at 06:01:42, haraken wrote: > > On ...
2 years, 4 months ago (2017-04-26 06:43:55 UTC) #13
joelhockey
> However, once we introduce LayoutController, won't we end up with moving the duplicated parent_, ...
2 years, 4 months ago (2017-04-26 06:52:50 UTC) #14
haraken
Thanks for the clarification! That totally makes sense. LGTM. https://codereview.chromium.org/2843693003/diff/40001/third_party/WebKit/Source/core/frame/FrameView.h File third_party/WebKit/Source/core/frame/FrameView.h (right): https://codereview.chromium.org/2843693003/diff/40001/third_party/WebKit/Source/core/frame/FrameView.h#newcode131 third_party/WebKit/Source/core/frame/FrameView.h:131: ...
2 years, 4 months ago (2017-04-26 07:42:15 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2843693003/60001
2 years, 4 months ago (2017-04-26 07:45:14 UTC) #18
joelhockey
https://codereview.chromium.org/2843693003/diff/40001/third_party/WebKit/Source/core/frame/FrameView.h File third_party/WebKit/Source/core/frame/FrameView.h (right): https://codereview.chromium.org/2843693003/diff/40001/third_party/WebKit/Source/core/frame/FrameView.h#newcode131 third_party/WebKit/Source/core/frame/FrameView.h:131: void Resize(int w, int h) { On 2017/04/26 at ...
2 years, 4 months ago (2017-04-26 07:48:37 UTC) #19
dcheng
https://codereview.chromium.org/2843693003/diff/40001/third_party/WebKit/Source/core/frame/RemoteFrameView.h File third_party/WebKit/Source/core/frame/RemoteFrameView.h (right): https://codereview.chromium.org/2843693003/diff/40001/third_party/WebKit/Source/core/frame/RemoteFrameView.h#newcode65 third_party/WebKit/Source/core/frame/RemoteFrameView.h:65: Member<FrameView> parent_; On 2017/04/26 07:48:37, joelhockey wrote: > On ...
2 years, 4 months ago (2017-04-26 08:16:15 UTC) #20
joelhockey
On 2017/04/26 at 08:16:15, dcheng wrote: > https://codereview.chromium.org/2843693003/diff/40001/third_party/WebKit/Source/core/frame/RemoteFrameView.h > File third_party/WebKit/Source/core/frame/RemoteFrameView.h (right): > > https://codereview.chromium.org/2843693003/diff/40001/third_party/WebKit/Source/core/frame/RemoteFrameView.h#newcode65 ...
2 years, 4 months ago (2017-04-26 08:26:57 UTC) #21
haraken
On 2017/04/26 08:26:57, joelhockey wrote: > On 2017/04/26 at 08:16:15, dcheng wrote: > > > ...
2 years, 4 months ago (2017-04-26 08:29:00 UTC) #22
dcheng
On 2017/04/26 08:26:57, joelhockey wrote: > On 2017/04/26 at 08:16:15, dcheng wrote: > > > ...
2 years, 4 months ago (2017-04-26 08:43:00 UTC) #23
joelhockey
https://codereview.chromium.org/2843693003/diff/60001/third_party/WebKit/Source/core/frame/FrameView.cpp File third_party/WebKit/Source/core/frame/FrameView.cpp (right): https://codereview.chromium.org/2843693003/diff/60001/third_party/WebKit/Source/core/frame/FrameView.cpp#newcode171 third_party/WebKit/Source/core/frame/FrameView.cpp:171: FrameView::FrameView(LocalFrame& frame, IntRect frame_rect) On 2017/04/26 at 08:42:59, dcheng ...
2 years, 4 months ago (2017-04-26 10:37:57 UTC) #24
commit-bot: I haz the power
2 years, 4 months ago (2017-04-26 12:09:10 UTC) #27
Message was sent while issue was closed.
Committed patchset #4 (id:60001) as
https://chromium.googlesource.com/chromium/src/+/e9592f40c7a6e6959be58a19af9f...

Powered by Google App Engine
This is Rietveld 408576698